Name:		jools
Summary:	Graphical puzzle game
Version:	0.20
Release:	%mkrel 5
Url:		http://www.eecs.umich.edu/~pelzlpj/jools/
Source0:	%{name}-%{version}.tar.xz
Source1:	jools-16.png
Source2:	jools-32.png
Source3:	jools-48.png
Patch0:		%{name}-%{version}-sys.patch
Patch1:		%{name}-%{version}-sharegames.patch
Group:		Games/Puzzles
License:	GPL (game) Creative Commons Attribution-ShareAlike 2.0 (music)
BuildRoot:	%{_tmppath}/%{name}-%{version}-%{release}-buildroot
BuildRequires:  %{_lib}python-devel
Requires:	pygame
Requires:	python >= 2.7

%description
Jools is a graphical puzzle game in the tradition of Tetris.
In a nutshell, the goal is to swap adjacent jools (jewels) within a grid,
in order to create rows of three or more of a kind.
These jools will then disappear, and more will fall to fill their places.
Jools features nifty 3D rendered graphics.

%prep
%setup -q
%patch0 -p1
%patch1 -p1

%build

%install
rm -rf $RPM_BUILD_ROOT
python setup.py install --root=$RPM_BUILD_ROOT

rm -rf $RPM_BUILD_ROOT%{_datadir}/doc
find $RPM_BUILD_ROOT%{_gamesdatadir}/%{name} -name '.arch-ids' -o -name '.placeholder' | xargs rm -rf

install -d -m 755 $RPM_BUILD_ROOT%{_gamesbindir}
mv $RPM_BUILD_ROOT%{_bindir}/%{name} $RPM_BUILD_ROOT%{_gamesbindir}
rmdir $RPM_BUILD_ROOT%{_bindir}

mkdir -p %{buildroot}%{_datadir}/applications
cat > %{buildroot}%{_datadir}/applications/%{name}.desktop <<EOF
[Desktop Entry]
Encoding=UTF-8
Name=Jools
Comment=Graphical puzzle game
Exec=%{_gamesbindir}/%{name} 
Icon=%{name}.png
Terminal=false
Type=Application
StartupNotify=true
Categories=X-MandrivaLinux-MoreApplications-Games-Puzzles;
EOF

mkdir -p %{buildroot}/%{_liconsdir}
mkdir -p %{buildroot}/%{_iconsdir}
mkdir -p %{buildroot}/%{_miconsdir}

install -m 0644 %SOURCE1 %{buildroot}/%{_miconsdir}/%{name}.png
install -m 0644 %SOURCE2 %{buildroot}/%{_iconsdir}/%{name}.png
install -m 0644 %SOURCE3 %{buildroot}/%{_liconsdir}/%{name}.png


%clean
rm -rf $RPM_BUILD_ROOT

%post
%update_menus

%postun
%clean_menus

%files
%defattr(-,root,root,755)
%doc COPYING ChangeLog README doc/manual.html doc/manual.tex doc/detonate.txt doc/POINTS doc/TODO
%{_gamesbindir}/%{name}
%{py_puresitedir}/%{name}*
%dir %{_gamesdatadir}/%{name}
%{_gamesdatadir}/%{name}/*
%{_datadir}/applications/%{name}.desktop
%{_miconsdir}/%{name}.png
%{_iconsdir}/%{name}.png
%{_liconsdir}/%{name}.png


%changelog
* Sat Aug 17 2013 billybot <billybot> 0.20-5pclos2013
- update python 2.7

* Tue Sep 27 2011 Archie <pclinuxos.ph at gmail.com> 0.20-4pclos2011
- rebuilt for x86_64

* Sat Sep 11 2010 Texstar <texstar at gmail.com> 0.20-3pclos2010
- rebuild python 2.6

